Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanRegistrationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.management.JMException
                        |
                        +--javax.management.MBeanException
                              |
                              +--javax.management.MBeanRegistrationException

public class MBeanRegistrationException
extends MBeanException

This class wraps exceptions thrown by the preRegister(), preDeregister() methods of the MBeanRegistration.

See Also:
  Serialized Form

Constructor Summary
`MBeanRegistrationException(java.lang.Exception e)` Creates a MBeanRegistrationException that wraps the actual java.lang.Exception.
`MBeanRegistrationException(java.lang.Exception e, java.lang.String message)` Creates a MBeanRegistrationException that wraps the actual java.lang.Exception with a detail message.

Methods inherited from class javax.management.MBeanException
`getTargetException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MBeanRegistrationException

    public MBeanRegistrationException(java.lang.Exception e)

  Creates a MBeanRegistrationException that wraps the actual java.lang.Exception.

### MBeanRegistrationException

    public MBeanRegistrationException(java.lang.Exception e,
                                      java.lang.String message)

  Creates a MBeanRegistrationException that wraps the actual java.lang.Exception with a detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD